net.corda.node.services.statemachine

## Class FlowSessionState

- net.corda.node.services.statemachine.FlowSessionState

- Direct Known Subclasses:
    FlowSessionState.Initiated, FlowSessionState.Initiating

      public class FlowSessionState

  `class FlowSessionState` describes the session's state.

  `class FlowSessionState.Initiating` is pre-handshake. Initiating.otherParty at this point holds a `class Party` corresponding to either a specific peer or a service. `class FlowSessionState.Initiated` is post-handshake. At this point Initiating.otherParty will have been resolved to a specific peer Initiated.peerParty, and the peer's sessionId has been initialised.

  See Also:
    `class FlowSessionState`, `class FlowSessionState.Initiating`, `class Party`, `class FlowSessionState.Initiated`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FlowSessionState.Initiated`
    `static class` | `FlowSessionState.Initiating` otherParty may be a specific peer or a service party

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Party` | `getSendToParty()`

- - ### Method Detail

    - #### getSendToParty

          public Party getSendToParty()